#### D.4.8.10 lsum

Procedure from library `ellipticcovers.lib` (see ellipticcovers_lib).

Usage:
  lsum(L); L list

Assume:
  L is a list of things with the binary operator + defined.

Return:
  The sum of the elements of L.

Theory:
  Sums the elements of a list.

  Eventually this will be deleted and become a more efficient kernel function.

Example:

    LIB "ellipticcovers.lib";
    list L = 1,2,3,4,5;
    lsum(L);
    ==> 15

User manual for Singular version 4.4.1, 2025, generated by texi2html.